diff -aruN --binary 15/components/com_poll/views/poll/view.html.php 16/components/com_poll/views/poll/view.html.php
--- 15/components/com_poll/views/poll/view.html.php	2009-05-29 13:52:56.000000000 +0200
+++ 16/components/com_poll/views/poll/view.html.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: view.html.php 10711 2008-08-21 10:09:03Z eddieajau $
+* @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Poll
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/components/com_search/controller.php 16/components/com_search/controller.php
--- 15/components/com_search/controller.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/components/com_search/controller.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: controller.php 13338 2009-10-27 02:15:55Z ian $
+ * @version		$Id: controller.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Content
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_search/models/search.php 16/components/com_search/models/search.php
--- 15/components/com_search/models/search.php	2009-05-29 13:52:54.000000000 +0200
+++ 16/components/com_search/models/search.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: search.php 10752 2008-08-23 01:53:31Z eddieajau $
+ * @version		$Id: search.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Search
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_search/router.php 16/components/com_search/router.php
--- 15/components/com_search/router.php	2009-05-29 13:52:54.000000000 +0200
+++ 16/components/com_search/router.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
- * @version		$Id: router.php 11002 2008-10-07 01:12:20Z ian $
+ * @version		$Id: router.php 16385 2010-04-23 10:44:15Z ian $
  * @package		Joomla
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
@@ -19,18 +19,6 @@
 {
 	$segments = array();
 
-	if (isset($query['searchword'])) {
-		$segments[] = $query['searchword'];
-		unset($query['searchword']);
-	}
-
-	// Retrieve configuration options - needed to know which SEF URLs are used
-	$app =& JFactory::getApplication();
-	// Allows for searching on strings that include ".xxx" that appear to Apache as an extension
-	if (($app->getCfg('sef')) && ($app->getCfg('sef_rewrite')) && !($app->getCfg('sef_suffix'))) {
-		$segments[] .= '/';
-	}
-
 	if (isset($query['view'])) {
 		unset($query['view']);
 	}
diff -aruN --binary 15/components/com_search/search.php 16/components/com_search/search.php
--- 15/components/com_search/search.php	2009-05-29 13:52:54.000000000 +0200
+++ 16/components/com_search/search.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: search.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: search.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Search
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/components/com_search/views/search/view.html.php 16/components/com_search/views/search/view.html.php
--- 15/components/com_search/views/search/view.html.php	2009-05-29 13:52:54.000000000 +0200
+++ 16/components/com_search/views/search/view.html.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: view.html.php 11646 2009-03-01 19:34:56Z ian $
+ * @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Weblinks
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/components/com_user/controller.php 16/components/com_user/controller.php
--- 15/components/com_user/controller.php	2009-07-23 03:25:36.000000000 +0200
+++ 16/components/com_user/controller.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: controller.php 12538 2009-07-22 17:26:51Z ian $
+ * @version		$Id: controller.php 16385 2010-04-23 10:44:15Z ian $
  * @package		Joomla
  * @subpackage	Content
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
@@ -403,18 +403,18 @@
 
 		// Get the input
 		$token = JRequest::getVar('token', null, 'post', 'alnum');
+		$username = JRequest::getVar('username', null, 'post');
 
 		// Get the model
 		$model = &$this->getModel('Reset');
 
 		// Verify the token
-		if ($model->confirmReset($token) === false)
+		if ($model->confirmReset($token, $username) !== true)
 		{
 			$message = JText::sprintf('PASSWORD_RESET_CONFIRMATION_FAILED', $model->getError());
 			$this->setRedirect('index.php?option=com_user&view=reset&layout=confirm', $message);
 			return false;
 		}
-
 		$this->setRedirect('index.php?option=com_user&view=reset&layout=complete');
 	}
 
diff -aruN --binary 15/components/com_user/models/remind.php 16/components/com_user/models/remind.php
--- 15/components/com_user/models/remind.php	2009-05-29 13:53:04.000000000 +0200
+++ 16/components/com_user/models/remind.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: remind.php 10752 2008-08-23 01:53:31Z eddieajau $
+ * @version		$Id: remind.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	User
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_user/models/reset.php 16/components/com_user/models/reset.php
--- 15/components/com_user/models/reset.php	2009-05-29 13:53:04.000000000 +0200
+++ 16/components/com_user/models/reset.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: reset.php 10919 2008-09-09 20:50:29Z willebil $
+ * @version		$Id: reset.php 16385 2010-04-23 10:44:15Z ian $
  * @package		Joomla
  * @subpackage	User
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
@@ -74,9 +74,11 @@
 
 		// Generate a new token
 		$token = JUtility::getHash(JUserHelper::genRandomPassword());
+		$salt = JUserHelper::getSalt('crypt-md5');
+		$hashedToken = md5($token.$salt).':'.$salt;
 
 		$query	= 'UPDATE #__users'
-				. ' SET activation = '.$db->Quote($token)
+				. ' SET activation = '.$db->Quote($hashedToken)
 				. ' WHERE id = '.(int) $id
 				. ' AND block = 0';
 
@@ -107,28 +109,48 @@
 	 * @param	token	An md5 hashed randomly generated string
 	 * @return	bool	True on success/false on failure
 	 */
-	function confirmReset($token)
+	function confirmReset($token, $username)
 	{
 		global $mainframe;
 
+		jimport('joomla.user.helper');
+
 		if(strlen($token) != 32) {
 			$this->setError(JText::_('INVALID_TOKEN'));
 			return false;
 		}
 
 		$db	= &JFactory::getDBO();
-		$db->setQuery('SELECT id FROM #__users WHERE block = 0 AND activation = '.$db->Quote($token));
+		$db->setQuery('SELECT id, activation FROM #__users WHERE block = 0 AND username = '.$db->Quote($username));
+
+		$row = $db->loadObject();
 
 		// Verify the token
-		if (!($id = $db->loadResult()))
+		if (!($row = $db->loadObject()))
+		{
+			$this->setError(JText::_('INVALID_TOKEN'));
+			return false;
+		}
+
+		$parts	= explode( ':', $row->activation );
+		$crypt	= $parts[0];
+		if (!isset($parts[1])) {
+			$this->setError(JText::_('INVALID_TOKEN'));
+			return false;
+		}
+		$salt	= $parts[1];
+		$testcrypt = JUserHelper::getCryptedPassword($token, $salt);
+
+		// Verify the token
+		if (!($crypt == $testcrypt))
 		{
 			$this->setError(JText::_('INVALID_TOKEN'));
 			return false;
 		}
 
 		// Push the token and user id into the session
-		$mainframe->setUserState($this->_namespace.'token',	$token);
-		$mainframe->setUserState($this->_namespace.'id',	$id);
+		$mainframe->setUserState($this->_namespace.'token',	$crypt.':'.$salt);
+		$mainframe->setUserState($this->_namespace.'id',	$row->id);
 
 		return true;
 	}
diff -aruN --binary 15/components/com_user/models/user.php 16/components/com_user/models/user.php
--- 15/components/com_user/models/user.php	2009-05-29 13:53:04.000000000 +0200
+++ 16/components/com_user/models/user.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: user.php 10704 2008-08-21 09:38:40Z eddieajau $
+ * @version		$Id: user.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	User
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_user/router.php 16/components/com_user/router.php
--- 15/components/com_user/router.php	2009-05-29 13:53:06.000000000 +0200
+++ 16/components/com_user/router.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
-* @version		$Id: router.php 10752 2008-08-23 01:53:31Z eddieajau $
+* @version		$Id: router.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/components/com_user/user.php 16/components/com_user/user.php
--- 15/components/com_user/user.php	2009-05-29 13:53:06.000000000 +0200
+++ 16/components/com_user/user.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: user.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: user.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Users
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/components/com_user/views/login/view.html.php 16/components/com_user/views/login/view.html.php
--- 15/components/com_user/views/login/view.html.php	2009-06-30 21:01:32.000000000 +0200
+++ 16/components/com_user/views/login/view.html.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: view.html.php 12352 2009-06-24 13:52:57Z ian $
+* @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Login
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/components/com_user/views/register/view.html.php 16/components/com_user/views/register/view.html.php
--- 15/components/com_user/views/register/view.html.php	2009-05-29 13:53:04.000000000 +0200
+++ 16/components/com_user/views/register/view.html.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: view.html.php 11673 2009-03-08 20:41:00Z willebil $
+* @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Registration
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/components/com_user/views/remind/view.html.php 16/components/com_user/views/remind/view.html.php
--- 15/components/com_user/views/remind/view.html.php	2009-05-29 13:53:06.000000000 +0200
+++ 16/components/com_user/views/remind/view.html.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: view.html.php 10752 2008-08-23 01:53:31Z eddieajau $
+ * @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	User
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_user/views/reset/tmpl/confirm.php 16/components/com_user/views/reset/tmpl/confirm.php
--- 15/components/com_user/views/reset/tmpl/confirm.php	2009-05-29 13:53:04.000000000 +0200
+++ 16/components/com_user/views/reset/tmpl/confirm.php	2010-04-23 13:40:14.000000000 +0200
@@ -13,6 +13,14 @@
 		</tr>
 		<tr>
 			<td height="40">
+				<label for="username" class="hasTip" title="<?php echo JText::_('RESET_PASSWORD_USERNAME_TIP_TITLE'); ?>::<?php echo JText::_('RESET_PASSWORD_USERNAME_TIP_TEXT'); ?>"><?php echo JText::_('User Name'); ?>:</label>
+			</td>
+			<td>
+				<input id="username" name="username" type="text" class="required" size="36" />
+			</td>
+		</tr>
+		<tr>
+			<td height="40">
 				<label for="token" class="hasTip" title="<?php echo JText::_('RESET_PASSWORD_TOKEN_TIP_TITLE'); ?>::<?php echo JText::_('RESET_PASSWORD_TOKEN_TIP_TEXT'); ?>"><?php echo JText::_('Token'); ?>:</label>
 			</td>
 			<td>
diff -aruN --binary 15/components/com_user/views/reset/view.html.php 16/components/com_user/views/reset/view.html.php
--- 15/components/com_user/views/reset/view.html.php	2009-05-29 13:53:04.000000000 +0200
+++ 16/components/com_user/views/reset/view.html.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: view.html.php 10752 2008-08-23 01:53:31Z eddieajau $
+ * @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	User
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_user/views/user/view.html.php 16/components/com_user/views/user/view.html.php
--- 15/components/com_user/views/user/view.html.php	2009-05-29 13:53:06.000000000 +0200
+++ 16/components/com_user/views/user/view.html.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: view.html.php 11623 2009-02-15 15:23:08Z kdevine $
+* @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Weblinks
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/components/com_weblinks/controller.php 16/components/com_weblinks/controller.php
--- 15/components/com_weblinks/controller.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/components/com_weblinks/controller.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: controller.php 13339 2009-10-27 02:27:05Z ian $
+ * @version		$Id: controller.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Content
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_weblinks/controllers/weblink.php 16/components/com_weblinks/controllers/weblink.php
--- 15/components/com_weblinks/controllers/weblink.php	2009-05-29 13:53:08.000000000 +0200
+++ 16/components/com_weblinks/controllers/weblink.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: weblink.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: weblink.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Content
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_weblinks/helpers/route.php 16/components/com_weblinks/helpers/route.php
--- 15/components/com_weblinks/helpers/route.php	2009-05-29 13:53:06.000000000 +0200
+++ 16/components/com_weblinks/helpers/route.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: route.php 10752 2008-08-23 01:53:31Z eddieajau $
+ * @version		$Id: route.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Weblinks
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_weblinks/models/categories.php 16/components/com_weblinks/models/categories.php
--- 15/components/com_weblinks/models/categories.php	2009-05-29 13:53:08.000000000 +0200
+++ 16/components/com_weblinks/models/categories.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: categories.php 10704 2008-08-21 09:38:40Z eddieajau $
+ * @version		$Id: categories.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Content
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_weblinks/models/category.php 16/components/com_weblinks/models/category.php
--- 15/components/com_weblinks/models/category.php	2009-05-29 13:53:08.000000000 +0200
+++ 16/components/com_weblinks/models/category.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: category.php 10752 2008-08-23 01:53:31Z eddieajau $
+ * @version		$Id: category.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Content
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_weblinks/models/weblink.php 16/components/com_weblinks/models/weblink.php
--- 15/components/com_weblinks/models/weblink.php	2009-05-29 13:53:08.000000000 +0200
+++ 16/components/com_weblinks/models/weblink.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: weblink.php 10752 2008-08-23 01:53:31Z eddieajau $
+ * @version		$Id: weblink.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Content
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_weblinks/router.php 16/components/com_weblinks/router.php
--- 15/components/com_weblinks/router.php	2009-05-29 13:53:10.000000000 +0200
+++ 16/components/com_weblinks/router.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
-* @version		$Id: router.php 11678 2009-03-08 20:48:42Z willebil $
+* @version		$Id: router.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/components/com_weblinks/views/categories/view.html.php 16/components/com_weblinks/views/categories/view.html.php
--- 15/components/com_weblinks/views/categories/view.html.php	2009-05-29 13:53:08.000000000 +0200
+++ 16/components/com_weblinks/views/categories/view.html.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: view.html.php 10498 2008-07-04 00:05:36Z ian $
+* @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Weblinks
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/components/com_weblinks/views/category/view.feed.php 16/components/com_weblinks/views/category/view.feed.php
--- 15/components/com_weblinks/views/category/view.feed.php	2009-05-29 13:53:10.000000000 +0200
+++ 16/components/com_weblinks/views/category/view.feed.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: view.feed.php 11782 2009-04-24 17:25:58Z kdevine $
+* @version		$Id: view.feed.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Weblinks
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/components/com_weblinks/views/category/view.html.php 16/components/com_weblinks/views/category/view.html.php
--- 15/components/com_weblinks/views/category/view.html.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/components/com_weblinks/views/category/view.html.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: view.html.php 12694 2009-09-11 21:03:02Z ian $
+* @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Weblinks
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/components/com_weblinks/views/weblink/view.html.php 16/components/com_weblinks/views/weblink/view.html.php
--- 15/components/com_weblinks/views/weblink/view.html.php	2009-05-29 13:53:08.000000000 +0200
+++ 16/components/com_weblinks/views/weblink/view.html.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: view.html.php 11299 2008-11-22 01:40:44Z ian $
+* @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Weblinks
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/components/com_weblinks/weblinks.php 16/components/com_weblinks/weblinks.php
--- 15/components/com_weblinks/weblinks.php	2009-05-29 13:53:10.000000000 +0200
+++ 16/components/com_weblinks/weblinks.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: weblinks.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: weblinks.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Weblinks
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/components/com_wrapper/router.php 16/components/com_wrapper/router.php
--- 15/components/com_wrapper/router.php	2009-05-29 13:53:12.000000000 +0200
+++ 16/components/com_wrapper/router.php	2010-04-23 13:40:14.000000000 +0200
@@ -2,7 +2,7 @@
 /**
  * @version		$Id: router.php 9764 2007-12-30 07:48:11Z ircmaxell $
  * @package		Joomla
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/components/com_wrapper/views/wrapper/view.php 16/components/com_wrapper/views/wrapper/view.php
--- 15/components/com_wrapper/views/wrapper/view.php	2009-05-29 13:53:12.000000000 +0200
+++ 16/components/com_wrapper/views/wrapper/view.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: view.php 10498 2008-07-04 00:05:36Z ian $
+* @version		$Id: view.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Wrapper
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/components/com_wrapper/wrapper.php 16/components/com_wrapper/wrapper.php
--- 15/components/com_wrapper/wrapper.php	2009-05-29 13:53:12.000000000 +0200
+++ 16/components/com_wrapper/wrapper.php	2010-04-23 13:40:14.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: wrapper.php 10704 2008-08-21 09:38:40Z eddieajau $
+* @version		$Id: wrapper.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Wrapper
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/configuration.php-dist 16/configuration.php-dist
--- 15/configuration.php-dist	2009-05-29 13:54:48.000000000 +0200
+++ 16/configuration.php-dist	2010-04-23 13:40:14.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
-* @version		$Id: configuration.php-dist 11687 2009-03-11 17:49:23Z ian $
+* @version		$Id: configuration.php-dist 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software and parts of it may contain or be derived from the
 * GNU General Public License or other free or open source software licenses.
